Bug 905396 - Review Request: rubygem-vagrant - Provisioning and deployment of virtual instances
Summary: Review Request: rubygem-vagrant - Provisioning and deployment of virtual inst...
Status: CLOSED DUPLICATE of bug 1020456
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 905240 905389 905393 909190 960554
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-29 10:41 UTC by Ingvar Hagelund
Modified: 2014-01-16 09:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-28 02:47:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ingvar Hagelund 2013-01-29 10:41:43 UTC
Spec URL: http://users.linpro.no/ingvar/vagrant/f18/specs/rubygem-vagrant.spec
SRPM URL: http://users.linpro.no/ingvar/vagrant/f18/src/rubygem-vagrant-1.0.6-1.fc18.src.rpm

Description: 

Vagrant offers scripted provisioning and deployment of virtual instances, removing the well-known "but it works om my laptop" obstacle. Vagrant is well-known and much used and praised in the devops community. Its home page is http://vagrantup.com/

While VirtualBox is the current supported target, future versions of vagrant may support other hypervizors as well, including kvm. Being in itself free software under the MIT license, I think vagrant could be included in fedora.

While an upstream rpm exists (putting all dependent packages in /opt) a native fedora package of vagrant was missing. So I wrapped one up. It depends on the following packages missing from fedora 18:

rubygem-log4r >= 1.1.9 < 2.0.0
  Fix: Build new package. Package review: bz #905240

rubygem-childprocess >=0.3.1 < 0.4.0 (0.3.6 in rawhide)
  Fix: Grab 0.3.6 package from rawhide

rubygem-json >= 1.5.1, < 1.6.0 (1.6.5 in f18, 1.9.1 in rawhide)
  Fix: Build rubygem-json15, roughly based on current package.
  Package review: bz #905389.

rubygem-net-ssh >= 2.2.2 < 2.3.0 (2.2.1 in rawhide)
  Fix: Build 2.2.2 package based on current package.
  Update request: bz #905393

yum repo with prebuilt packages for f17 and f18 available here: http://users.linpro.no/ingvar/vagrant/

Package description from the specfile:

Vagrant offers scripted provisioning and deployment of virtual
instances. While VirtualBox is the main target, future versions may
support other hypervizors as well.

The vision of the project is to create a tool to transparently manage
all the complex parts of modern development within a virtual
environment without affecting the everyday workflow of the developer
too much. A long term goal is moving all development into virtualized
environments by making it easier to do so than not to. Additionally,
work is ongoing to have Vagrant run identically on every major
consumer OS platform (Linux, Mac OS X, and Windows).


Fedora Account System Username: ingvar

Comment 1 Ingvar Hagelund 2013-02-04 13:03:48 UTC
Since upstream will release version 1.1.0 "soon", I have rebuilt against git:

spec: http://users.linpro.no/ingvar/vagrant-dev/f18/specs/rubygem-vagrant.spec
srpm: http://users.linpro.no/ingvar/vagrant-dev/f18/src/rubygem-vagrant-1.1.0-0.3.dev.20130201git5d75a65382b8.fc18.src.rpm
yum repo: http://users.linpro.no/ingvar/vagrant-dev/ingvar-vagrant-dev.repo

- No longer needs rubygem-json 1.5.x gem, so #905389 can be closed for my part.
- Needs rubygem-json updated to 1.6.6 (trivial rebuild with new version). Note: It will not work with the rubygem-json that is in rawhide (1.7.0), so this is for f18 for now.

Comment 2 Ingvar Hagelund 2013-03-22 09:51:36 UTC
Vagrant-1.1.2 was released upstream a few days ago, so I have updated my fedora packages.

Upstream no longer releases a prebuilt gem, but the tree can be fetched from github.

spec: http://users.linpro.no/ingvar/vagrant/f18/specs/rubygem-vagrant.spec
srpm: http://users.linpro.no/ingvar/vagrant/f18/src/rubygem-vagrant-1.1.2-1.src.rpm

A yum repo for Fedora 18 with rubygem-vagrant, and all deps and builddeps is available at http://users.linpro.no/ingvar/vagrant/

Missing deps in Fedora:

    rubygem-childprocess >= 0.3.7 < 0.4.0 (0.3.6 in rawhide)
    Fix: Update package to 0.3.7

    rubygem-json >= 1.6.6 < 1.7.0 (1.6.8 in f18, 1.7.5 in rawhide)
    Fix: f18 works, but rawhide will be broken

    rubygem-log4r >= 1.1.9 < 2.0.0
    Fix: Build new package, bz905240

    rubygem-net-ssh >= 2.6.6 (2.2.1 in f18)
    Fix: rebuild f18 package from rawhide

    rubygem-net-scp >= 1.1.0 (1.0.4 in rawhide)
    Fix: Update package to 1.1.0 

According to the gemspec, it needs rspec-* ~> 2.11.0, but it seems to build fine with 2.8.0 from f18

Comment 3 Rick Elrod 2013-05-07 11:42:30 UTC
I've pinged (or created) bugs for some of the missing deps you mentioned, and updated the blockers listed for this bug.

I'd be happy to review this, once the deps are met. I will try to review rubygem-log4r later this week to move this along some.

Comment 4 Mo Morsi 2013-11-26 21:02:01 UTC
Ingvar have you done any more work on the vagrant rpm front? I ask because its been >1/2 year since this updated, there have been a few releases of the vagrant rpm, and adrahon submitted a recent version of the package to BZ here:

https://bugzilla.redhat.com/show_bug.cgi?id=1020456

Would you be fine w/ closing this and just going forward w/ 1020456? Once it's Fedora compliant, the package can have multiple owners depending on who wants to actually maintain the releases.

Thanks,
  -Mo

Comment 5 Ingvar Hagelund 2013-11-26 21:34:01 UTC
Hi Mo and all you others.

I did some work on the newer versions of vagrant, and kept in sync with it during spring and summer, but there were always dependencies that were missing in f19 at the time, and it just took too much if my dayjob work time.

Also, I have other work to focus on at the moment, so if Alex or any others are willing to provide updated versions to fedora, please go ahead.

I'm interested in co-maintaining, so I will follow bug #1020456, but Alex may go forward with his package as main maintainer if he likes for my part.

Ingvar

Comment 6 Orion Poplawski 2013-11-28 02:47:11 UTC

*** This bug has been marked as a duplicate of bug 1020456 ***


Note You need to log in before you can comment on or make changes to this bug.